## org.eclipse.datatools.sqltools.result.internal.model
Class ResultInstanceFactory

    java.lang.Object
      org.eclipse.datatools.sqltools.result.internal.model.ResultInstanceFactory

    public class ResultInstanceFactory

extends java.lang.Object

Field Summary
`static ResultInstanceFactory` `INSTANCE`

Method Summary
`IResultInstance` `createNewInstance(OperationCommand cmd, java.lang.Runnable terminateHandler)` Creates a new result instance given the `OperationCommand` instance
`IResultInstance` `createNewInstance(OperationCommand cmd, java.lang.Runnable terminateHandler, IResultInstance parentInstance)` Creates a new result instance given the `OperationCommand` instance
`IResultSetObject` `createResultSetObject(java.sql.ResultSet resultset)` Creates a new result set object instance

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static ResultInstanceFactory INSTANCE

Method Detail

### createNewInstance

    public IResultInstance createNewInstance(OperationCommand cmd,
                                             java.lang.Runnable terminateHandler)

  Creates a new result instance given the `OperationCommand` instance

  Parameters:
    `cmd` - the operation request, can not be null
    `terminateHandler` - handler used to terminate this item, can be null
  Returns:
    IResultInstance instance

### createNewInstance

    public IResultInstance createNewInstance(OperationCommand cmd,
                                             java.lang.Runnable terminateHandler,
                                             IResultInstance parentInstance)

  Creates a new result instance given the `OperationCommand` instance

  Parameters:
    `cmd` - the operation request, can not be null
    `terminateHandler` - handler used to terminate this item, can be null
    `parentInstance` - the parent result instance, can be null
  Returns:
    IResultInstance instance

### createResultSetObject

    public IResultSetObject createResultSetObject(java.sql.ResultSet resultset)
                                           throws java.sql.SQLException

  Creates a new result set object instance

  Parameters:
    `resultset` -
  Returns:
  Throws:
    `java.sql.SQLException`